﻿// <auto-generated />
using System;
using MIMS.Portal.Infrustructure.Repositories;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace MIMS.Portal.Migrations
{
    [DbContext(typeof(AppDbContext))]
    [Migration("20211205155114_M9")]
    partial class M9
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("ProductVersion", "5.0.9")
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Bank", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("BankName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("IbanCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("SubmitDate")
                    .HasColumnType("datetime2");

                b.HasKey("Id");

                b.ToTable("Banks");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.BankAccount", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("AccountHolderFirstName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("AccountHolderLastName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("AccountNumber")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("BankBranchCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid>("BankId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("CreatedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("CreatedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("CreatorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("IbanNumber")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid>("MerchantId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("ModifiedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("ModifiedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("ModifierUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("ReviewComment")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Status")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("SystemNote")
                    .HasColumnType("nvarchar(max)");

                b.HasKey("Id");

                b.HasIndex("BankId");

                b.HasIndex("CreatorUserId");

                b.HasIndex("MerchantId");

                b.HasIndex("ModifierUserId");

                b.ToTable("BankAccounts");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.BusinessScope", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Name")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("ParentId")
                    .HasColumnType("uniqueidentifier");

                b.HasKey("Id");

                b.HasIndex("ParentId");

                b.ToTable("BusinessScopes");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Comment", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Body")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("MerchantId")
                    .HasColumnType("uniqueidentifier");

                b.Property<DateTime>("SubmitDate")
                    .HasColumnType("datetime2");

                b.Property<string>("UserSubmitName")
                    .HasColumnType("nvarchar(max)");

                b.HasKey("Id");

                b.HasIndex("MerchantId");

                b.ToTable("Comments");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Department", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("DepartmantName")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("ParentId")
                    .HasColumnType("uniqueidentifier");

                b.Property<DateTime>("SubmitDate")
                    .HasColumnType("datetime2");

                b.HasKey("Id");

                b.ToTable("Departments");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.GeoSection", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Name")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("ParentId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Type")
                    .HasColumnType("nvarchar(max)");

                b.HasKey("Id");

                b.ToTable("GeoSections");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Invoice", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<long>("Amount")
                    .HasColumnType("bigint");

                b.Property<string>("BankOrderId")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("PaymentDate")
                    .HasColumnType("datetime2");

                b.Property<string>("PaymentState")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("SubmitDate")
                    .HasColumnType("datetime2");

                b.Property<string>("TrackBankId")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("UserId")
                    .HasColumnType("uniqueidentifier");

                b.HasKey("Id");

                b.HasIndex("UserId");

                b.ToTable("Invoices");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Merchant", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Address")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("BirthCertificateNumber")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("BirthDate")
                    .HasColumnType("datetime2");

                b.Property<Guid?>("CityId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("CompanyEconomicCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("CompanyName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("CompanyNationalID")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("CompanyRegisterCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime?>("CompanyRegisterDate")
                    .HasColumnType("datetime2");

                b.Property<Guid?>("CountyId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("CreatedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("CreatedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("CreatorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Email")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("EnglishCompanyName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("EnglishFatherName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("EnglishFirstName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("EnglishLastName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("FatherName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Fax")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("FirstName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Gender")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("LastName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("MarketerCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Mobile")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ModifiedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("ModifiedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("ModifierUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("NationalCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Phone")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("PostalCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("ProvienceId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("ReferrerFirstName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ReferrerLastName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ReferrerMobile")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ReferrerNationalCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ReferrerPhone")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ReviewComment")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Status")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("SystemNote")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Type")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.HasKey("Id");

                b.HasIndex("CityId");

                b.HasIndex("CountyId");

                b.HasIndex("CreatorUserId");

                b.HasIndex("ModifierUserId");

                b.HasIndex("ProvienceId");

                b.ToTable("Merchants");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.News", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Body")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("CreatedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("CreatedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("CreatorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("ModifiedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("ModifiedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("ModifierUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Subject")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("SystemNote")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Type")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.HasKey("Id");

                b.HasIndex("CreatorUserId");

                b.HasIndex("ModifierUserId");

                b.ToTable("News");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Partner", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("BirthPlace")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("EnglishFamily")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("EnglishFatherName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("EnglishName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Family")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("FatherName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Gender")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("IdentityNumber")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("MerchantId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Mobile")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Name")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("NationalCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("PostalCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Telephone")
                    .HasColumnType("nvarchar(max)");

                b.HasKey("Id");

                b.HasIndex("MerchantId");

                b.ToTable("Partners");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.PosBrand", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("CreatedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("CreatedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("CreatorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("ModifiedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("ModifiedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("ModifierUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Name")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("ParentId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("SystemNote")
                    .HasColumnType("nvarchar(max)");

                b.HasKey("Id");

                b.HasIndex("CreatorUserId");

                b.HasIndex("ModifierUserId");

                b.HasIndex("ParentId");

                b.ToTable("PosBrands");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.PosDevice", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("AppVersion")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("CreatedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("CreatedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("CreatorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("DeviceConnectionType")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("DeviceOSType")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("DeviceOwnerType")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("DeviceSerial")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("DeviceStatus")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("FirmwareVersion")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ModifiedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("ModifiedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("ModifierUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("PosDeviceBrandId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("PosDeviceModelId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("SupervisorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("SystemNote")
                    .HasColumnType("nvarchar(max)");

                b.HasKey("Id");

                b.HasIndex("CreatorUserId");

                b.HasIndex("ModifierUserId");

                b.HasIndex("PosDeviceBrandId");

                b.HasIndex("PosDeviceModelId");

                b.HasIndex("SupervisorUserId");

                b.ToTable("PosDevices");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Store", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Address")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid>("BusinessGroupId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("BusinessScopeId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("CityId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("CountyId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("CreatedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("CreatedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("CreatorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<DateTime?>("DocumentEndDate")
                    .HasColumnType("datetime2");

                b.Property<string>("DocumentNumber")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime?>("DocumentStartDate")
                    .HasColumnType("datetime2");

                b.Property<string>("EconomicCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("EnglishStoreName")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid>("MerchantId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Mobile")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ModifiedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("ModifiedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("ModifierUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Phone")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("PostalCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid>("ProvienceId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("ResidenceType")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("ReviewComment")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Status")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("StoreName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("SystemNote")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("TaxRegistrationTrackingCode")
                    .HasColumnType("nvarchar(max)");

                b.HasKey("Id");

                b.HasIndex("BusinessGroupId");

                b.HasIndex("BusinessScopeId");

                b.HasIndex("CityId");

                b.HasIndex("CountyId");

                b.HasIndex("CreatorUserId");

                b.HasIndex("MerchantId");

                b.HasIndex("ModifierUserId");

                b.HasIndex("ProvienceId");

                b.ToTable("Stores");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Terminal", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("AccountNumberId")
                    .HasColumnType("uniqueidentifier");

                b.Property<DateTime?>("AssignedDate")
                    .HasColumnType("datetime2");

                b.Property<DateTime?>("CanceledDate")
                    .HasColumnType("datetime2");

                b.Property<string>("ConnectionType")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("CreatedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("CreatedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("CreatorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<DateTime?>("DeliveredDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("MerchantId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("MerchantNumber")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("MerchantTrackingCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ModifiedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("ModifiedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("ModifierUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid?>("PosDeviceBrandId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid?>("PosDeviceId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid?>("PosDeviceModelId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("PspProvider")
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("ReviewComment")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Status")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<Guid>("StoreId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("StoreTrackingCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime?>("SubmittedDate")
                    .HasColumnType("datetime2");

                b.Property<string>("SystemNote")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("TerminalNumber")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("TerminalStatus")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("Type")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.HasKey("Id");

                b.HasIndex("AccountNumberId");

                b.HasIndex("CreatorUserId");

                b.HasIndex("MerchantId");

                b.HasIndex("ModifierUserId");

                b.HasIndex("PosDeviceBrandId");

                b.HasIndex("PosDeviceId");

                b.HasIndex("PosDeviceModelId");

                b.HasIndex("StoreId");

                b.ToTable("Terminals");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Ticket", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Body")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid>("ParentId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("ReciverrUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("SenderUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Subject")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("SubmitDate")
                    .HasColumnType("datetime2");

                b.Property<string>("TicketStatus")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("UserId")
                    .HasColumnType("uniqueidentifier");

                b.HasKey("Id");

                b.HasIndex("UserId");

                b.ToTable("Tickets");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.UploadFile", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("CreatedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("CreatedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("CreatorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("FileName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("ModifiedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("ModifiedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("ModifierUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid>("ParentItemId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Path")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Source")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("Status")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("SystemNote")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Type")
                    .IsRequired()
                    .HasColumnType("nvarchar(50)");

                b.HasKey("Id");

                b.HasIndex("CreatorUserId");

                b.HasIndex("ModifierUserId");

                b.ToTable("FilesManager");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.User", b =>
            {
                b.Property<Guid>("Id")
                    .ValueGeneratedOnAdd()
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Address")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime?>("Birthdate")
                    .HasColumnType("datetime2");

                b.Property<Guid?>("CityId")
                    .HasColumnType("uniqueidentifier");

                b.Property<Guid?>("CountyId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("CreatedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("CreatedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("CreatorUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Email")
                    .HasMaxLength(50)
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("FirstName")
                    .HasColumnType("nvarchar(max)");

                b.Property<bool>("IsEmailConfirmed")
                    .HasColumnType("bit");

                b.Property<bool>("IsMobileConfirmed")
                    .HasColumnType("bit");

                b.Property<string>("LastName")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Mobile")
                    .HasMaxLength(50)
                    .HasColumnType("nvarchar(50)");

                b.Property<string>("ModifiedBy")
                    .HasColumnType("nvarchar(max)");

                b.Property<DateTime>("ModifiedDate")
                    .HasColumnType("datetime2");

                b.Property<Guid>("ModifierUserId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("NationalCode")
                    .HasMaxLength(10)
                    .HasColumnType("nvarchar(10)");

                b.Property<string>("Password")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Permission")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Phone")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("PostalCode")
                    .HasColumnType("nvarchar(max)");

                b.Property<Guid?>("ProvienceId")
                    .HasColumnType("uniqueidentifier");

                b.Property<string>("Role")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Salt")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("Status")
                    .HasColumnType("nvarchar(max)");

                b.Property<string>("SystemNote")
                    .HasColumnType("nvarchar(max)");

                b.Property<bool>("TwoFactorEnabled")
                    .HasColumnType("bit");

                b.Property<string>("UserName")
                    .HasMaxLength(50)
                    .HasColumnType("nvarchar(50)");

                b.HasKey("Id");

                b.HasIndex("CityId");

                b.HasIndex("CountyId");

                b.HasIndex("CreatorUserId");

                b.HasIndex("Email")
                    .IsUnique()
                    .HasFilter("[Email] IS NOT NULL");

                b.HasIndex("Mobile")
                    .IsUnique()
                    .HasFilter("[Mobile] IS NOT NULL");

                b.HasIndex("ModifierUserId");

                b.HasIndex("NationalCode")
                    .IsUnique()
                    .HasFilter("[NationalCode] IS NOT NULL");

                b.HasIndex("ProvienceId");

                b.HasIndex("UserName")
                    .IsUnique()
                    .HasFilter("[UserName] IS NOT NULL");

                b.ToTable("Users");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.BankAccount", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.Bank", "Bank")
                    .WithMany()
                    .HasForeignKey("BankId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "CreatorUser")
                    .WithMany()
                    .HasForeignKey("CreatorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.Merchant", "Merchant")
                    .WithMany("AccountNumbers")
                    .HasForeignKey("MerchantId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "ModifierUser")
                    .WithMany()
                    .HasForeignKey("ModifierUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.Navigation("Bank");

                b.Navigation("CreatorUser");

                b.Navigation("Merchant");

                b.Navigation("ModifierUser");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.BusinessScope", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.BusinessScope", "Parent")
                    .WithMany()
                    .HasForeignKey("ParentId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.Navigation("Parent");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Comment", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.Merchant", "Merchant")
                    .WithMany("Comments")
                    .HasForeignKey("MerchantId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.Navigation("Merchant");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Invoice", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.User", "User")
                    .WithMany("Invoices")
                    .HasForeignKey("UserId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.Navigation("User");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Merchant", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.GeoSection", "City")
                    .WithMany()
                    .HasForeignKey("CityId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.HasOne("MIMS.Portal.Core.Domains.GeoSection", "County")
                    .WithMany()
                    .HasForeignKey("CountyId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.HasOne("MIMS.Portal.Core.Domains.User", "CreatorUser")
                    .WithMany()
                    .HasForeignKey("CreatorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "ModifierUser")
                    .WithMany()
                    .HasForeignKey("ModifierUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.GeoSection", "Provience")
                    .WithMany()
                    .HasForeignKey("ProvienceId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.Navigation("City");

                b.Navigation("County");

                b.Navigation("CreatorUser");

                b.Navigation("ModifierUser");

                b.Navigation("Provience");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.News", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.User", "CreatorUser")
                    .WithMany()
                    .HasForeignKey("CreatorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "ModifierUser")
                    .WithMany()
                    .HasForeignKey("ModifierUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.Navigation("CreatorUser");

                b.Navigation("ModifierUser");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Partner", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.Merchant", "Merchant")
                    .WithMany("Partners")
                    .HasForeignKey("MerchantId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.Navigation("Merchant");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.PosBrand", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.User", "CreatorUser")
                    .WithMany()
                    .HasForeignKey("CreatorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "ModifierUser")
                    .WithMany()
                    .HasForeignKey("ModifierUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.PosBrand", "Parent")
                    .WithMany()
                    .HasForeignKey("ParentId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.Navigation("CreatorUser");

                b.Navigation("ModifierUser");

                b.Navigation("Parent");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.PosDevice", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.User", "CreatorUser")
                    .WithMany()
                    .HasForeignKey("CreatorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "ModifierUser")
                    .WithMany()
                    .HasForeignKey("ModifierUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.PosBrand", "PosDeviceBrand")
                    .WithMany()
                    .HasForeignKey("PosDeviceBrandId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.PosBrand", "PosDeviceModel")
                    .WithMany()
                    .HasForeignKey("PosDeviceModelId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "User")
                    .WithMany()
                    .HasForeignKey("SupervisorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.Navigation("CreatorUser");

                b.Navigation("ModifierUser");

                b.Navigation("PosDeviceBrand");

                b.Navigation("PosDeviceModel");

                b.Navigation("User");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Store", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.BusinessScope", "BusinessGroup")
                    .WithMany()
                    .HasForeignKey("BusinessGroupId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.BusinessScope", "BusinessScope")
                    .WithMany()
                    .HasForeignKey("BusinessScopeId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.GeoSection", "City")
                    .WithMany()
                    .HasForeignKey("CityId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.GeoSection", "County")
                    .WithMany()
                    .HasForeignKey("CountyId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "CreatorUser")
                    .WithMany()
                    .HasForeignKey("CreatorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.Merchant", "Merchant")
                    .WithMany("Stores")
                    .HasForeignKey("MerchantId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "ModifierUser")
                    .WithMany()
                    .HasForeignKey("ModifierUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.GeoSection", "Provience")
                    .WithMany()
                    .HasForeignKey("ProvienceId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.Navigation("BusinessGroup");

                b.Navigation("BusinessScope");

                b.Navigation("City");

                b.Navigation("County");

                b.Navigation("CreatorUser");

                b.Navigation("Merchant");

                b.Navigation("ModifierUser");

                b.Navigation("Provience");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Terminal", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.BankAccount", "BankAccount")
                    .WithMany("Terminals")
                    .HasForeignKey("AccountNumberId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "CreatorUser")
                    .WithMany()
                    .HasForeignKey("CreatorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.Merchant", "Merchant")
                    .WithMany("Terminals")
                    .HasForeignKey("MerchantId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "ModifierUser")
                    .WithMany()
                    .HasForeignKey("ModifierUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.PosBrand", "Brand")
                    .WithMany()
                    .HasForeignKey("PosDeviceBrandId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.HasOne("MIMS.Portal.Core.Domains.PosDevice", "Device")
                    .WithMany()
                    .HasForeignKey("PosDeviceId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.HasOne("MIMS.Portal.Core.Domains.PosBrand", "Model")
                    .WithMany()
                    .HasForeignKey("PosDeviceModelId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.HasOne("MIMS.Portal.Core.Domains.Store", "Store")
                    .WithMany("Terminals")
                    .HasForeignKey("StoreId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.Navigation("BankAccount");

                b.Navigation("Brand");

                b.Navigation("CreatorUser");

                b.Navigation("Device");

                b.Navigation("Merchant");

                b.Navigation("Model");

                b.Navigation("ModifierUser");

                b.Navigation("Store");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Ticket", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.User", "User")
                    .WithMany("Tickets")
                    .HasForeignKey("UserId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.Navigation("User");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.UploadFile", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.User", "CreatorUser")
                    .WithMany()
                    .HasForeignKey("CreatorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "ModifierUser")
                    .WithMany()
                    .HasForeignKey("ModifierUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.Navigation("CreatorUser");

                b.Navigation("ModifierUser");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.User", b =>
            {
                b.HasOne("MIMS.Portal.Core.Domains.GeoSection", "City")
                    .WithMany()
                    .HasForeignKey("CityId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.HasOne("MIMS.Portal.Core.Domains.GeoSection", "County")
                    .WithMany()
                    .HasForeignKey("CountyId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.HasOne("MIMS.Portal.Core.Domains.User", "CreatorUser")
                    .WithMany()
                    .HasForeignKey("CreatorUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.User", "ModifierUser")
                    .WithMany()
                    .HasForeignKey("ModifierUserId")
                    .OnDelete(DeleteBehavior.Restrict)
                    .IsRequired();

                b.HasOne("MIMS.Portal.Core.Domains.GeoSection", "Provience")
                    .WithMany()
                    .HasForeignKey("ProvienceId")
                    .OnDelete(DeleteBehavior.Restrict);

                b.Navigation("City");

                b.Navigation("County");

                b.Navigation("CreatorUser");

                b.Navigation("ModifierUser");

                b.Navigation("Provience");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.BankAccount", b =>
            {
                b.Navigation("Terminals");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Merchant", b =>
            {
                b.Navigation("AccountNumbers");

                b.Navigation("Comments");

                b.Navigation("Partners");

                b.Navigation("Stores");

                b.Navigation("Terminals");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.Store", b =>
            {
                b.Navigation("Terminals");
            });

            modelBuilder.Entity("MIMS.Portal.Core.Domains.User", b =>
            {
                b.Navigation("Invoices");

                b.Navigation("Tickets");
            });
#pragma warning restore 612, 618
        }
    }
}
